# Enum Protocol

java.lang.Object
java.lang.Enum<Protocol>
org.apache.tomcat.util.net.openssl.ciphers.Protocol

All Implemented Interfaces:
  `Serializable, Comparable<Protocol>, java.lang.constant.Constable`

public enum Protocol extends Enum<Protocol>
Represents the SSL/TLS protocol versions supported by OpenSSL.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SSLv2`
SSL version 2.
`SSLv3`
SSL version 3.
`TLSv1`
TLS version 1.0.
`TLSv1_2`
TLS version 1.2.
`TLSv1_3`
TLS version 1.3.

## Method Summary

Modifier and Type
Method
Description
`static Protocol`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SSLv3

public static final Protocol SSLv3
SSL version 3.

### SSLv2

public static final Protocol SSLv2
SSL version 2.

### TLSv1

public static final Protocol TLSv1
TLS version 1.0.

### TLSv1_2

public static final Protocol TLSv1_2
TLS version 1.2.

### TLSv1_3

public static final Protocol TLSv1_3
TLS version 1.3.

## Method Details

### values

public static Protocol[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null